For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
              • POSTCreate Coupon Code
              • GETGet Coupon Code
              • DELDelete Coupon Code
              • DELDelete Coupon Code by ID
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPromotionsCoupon Codes Single

Create Coupon Code

POST
https://api.bigcommerce.com/stores/:store_hash/v3/promotions/:promotion_id/codes
POST
/stores/:store_hash/v3/promotions/:promotion_id/codes
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/promotions/promotion_id/codes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "code": "SUMMER_SALE_2024"
>}'
201example-1
1{
2 "data": {
3 "id": 1024,
4 "code": "SUMMER_SALE_2024",
5 "current_uses": 0,
6 "created": "2024-06-01T10:15:30+00:00",
7 "max_uses": 100,
8 "max_uses_per_customer": 3
9 },
10 "meta": {}
11}

Create a new code for the promotion.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Was this page helpful?
Previous

Generate Multiple Coupon Codes

Next

Get Coupon Code

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

promotion_idstringRequired
The ID of the associated promotion.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
codestringRequiredformat: "[a-zA-Z0-9_\ -]"<=50 characters
A unique code that can be used to manually apply a discount. Only letters, numbers, white spaces, underscores, and hyphens are allowed.
max_usesintegerOptional

The maximum number of times you can use this coupon code. The default value is 0, which represents unlimited uses. The parent promotion’s max_uses field overrides the coupon code’s max_uses field.

max_uses_per_customerintegerOptional
The maximum number of times a specific customer can use this coupon code. The default value is 0, which represents unlimited uses.

Response

dataobject

A CouponCode object encapsulates attributes of a coupon code.

metaobject
Empty meta object, which may be used at a later time.

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.